package net.h34t.filemure.controller

import io.javalin.http.Context
import net.h34t.filemure.*
import net.h34t.filemure.repository.SqliteRepository
import net.h34t.filemure.tpl.Frame
import net.h34t.filemure.tpl.Login

class LoginController(val modifiers: TemplateModifiers, val repository: SqliteRepository) {

    fun formLogin(ctx: Context) {
        ctx.tempolin(
            Frame(
                modifiers = modifiers,
                title = "Hello to Filemure",
                isTarget = false,
                content = Login(

                )
            )
        )
    }

    fun doLogin(ctx: Context) {
        val username = ctx.formParam("username")
        val password = ctx.formParam("password")

        if (username == "stefan@schallerl.com" && password == "foobar") {
            ctx.setSession(Session(id = 1, email = username))
            ctx.redirectPRG("/")
        } else {
            ctx.setSession(null)
            ctx.redirectPRG("/")
        }
    }

    fun doLogout(ctx: Context) {
        ctx.setSession(null)
        ctx.redirectPRG("/login")
    }
}